# UniTAP.dev.ports.modules.panel_replay.pr_config

class PanelReplayConfig:

Class `PanelReplayConfig` contains information about Panel Replay Configuration.

- Set configuration object `PrSettings`, function `set`.
- Get configuration object `PrSettings`, function `get`.

PanelReplayConfig(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, pg_caps)
pr_caps
def set( self, config: UniTAP.dev.ports.modules.panel_replay.pr_types.PrSettings ):

Write new configuration.

###### Arguments:

- config (PrSettings).

def get(self) -> UniTAP.dev.ports.modules.panel_replay.pr_types.PrSettings:

Returns current Panel Replay Configuration.

###### Returns:

> object of `PrSettings` type

def get_available_y_granularity_values( self) -> List[ UniTAP.dev.ports.modules.panel_replay.pr_types.YGranularity ]:

Get available values for Y Granularity.

###### Returns:

> list of `YGranularity` type